# mapclassify.FisherJenks

class mapclassify.FisherJenks(y, k=5)

  Fisher Jenks optimal classifier - mean based.

  Parameters:
    y `numpy.array`

      \((n,1)\), values to classify.

    k `int` (`default` 5)

      The number of classes required.

  Attributes:
    yb `numpy.array`

      \((n,1)\), bin IDs for observations.

    bins `numpy.array`

      \((k,1)\), the upper bounds of each class.

    k `int`

      The number of classes.

    counts `numpy.array`

      \((k,1)\), the number of observations falling in each class.

  Examples

      >>> import mapclassify
      >>> cal = mapclassify.load_example()
      >>> fj = mapclassify.FisherJenks(cal)
      >>> float(fj.adcm)
      799.24

      >>> fj.bins.tolist()
      [75.29, 192.05, 370.5, 722.85, 4111.45]

      >>> fj.counts.tolist()
      [49, 3, 4, 1, 1]

  __init__(y, k=5)

  Methods

  `__init__`(y[, k]) |
  `find_bin`(x) | Sort input or inputs according to the current bin estimate.
  `get_adcm`() | Absolute deviation around class median (ADCM).
  `get_fmt`() |
  `get_gadf`() | Goodness of absolute deviation of fit.
  `get_legend_classes`([fmt]) | Format the strings for the classes on the legend.
  `get_tss`() | Returns sum of squares over all class means.
  `make`(*args, **kwargs) | Configure and create a classifier that will consume data and produce classifications, given the configuration options specified by this function.
  `plot`(gdf[, border_color, border_width, ...]) | Plot a mapclassifier object.
  `plot_histogram`([color, linecolor, ...]) | Plot histogram of y with bin values superimposed
  `plot_legendgram`(*[, ax, cmap, bins, inset, ...]) | Plot a legendgram, which is a histogram with classification breaks.
  `set_fmt`(fmt) |
  `table`() |
  `update`([y, inplace]) | Add data or change classification parameters.

  Attributes

  `fmt` |